Funding

Get pocket reference

GET/v1/teller/pocket/reference

Returns the reference to deposit into a pocket by bank transfer, together with the bank accounts that accept the deposit.

To fund the pocket, send a transfer to any of the accounts in bankAccounts with pocket.reference as the concept. The reference is assigned the first time it is requested and stays the same afterwards.

Authorization

ApiKeyAuth
X-Api-Key<token>

For accessing these endpoints a valid API key must be sent in the X-Api-Key header.

In: header

Query Parameters

pocketId*string

ID of a pocket of the authenticated user.

Formatuuid

Response Body

application/json

application/json

application/json

application/json

application/json

Get pocket reference
curl --request GET \  --url 'https://gateway.bit2me.com/v1/teller/pocket/reference?pocketId=b7e3f8a9-4c1d-4e2f-8a3c-5d6e7f8a9b0c'
{  "bankAccounts": {    "account001": {      "account": "ES91 2100 0418 4502 0005 1332",      "address": "1 Example Street, Madrid, Spain",      "bankId": "deea5e5c-c27f-4064-ad5b-0ac37dda6699",      "bankName": "Example Bank",      "beneficiary": "Bitcoinforme S.L.",      "public": true,      "swift": "EXAMPLESXXX"    }  },  "pocket": {    "pocketId": "b7e3f8a9-4c1d-4e2f-8a3c-5d6e7f8a9b0c",    "reference": "K7Q2MZ9XH4TB",    "userId": "ac859110-e934-42d8-8643-a7e2de42349c"  }}